package com.fjhx.account.entity.account.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 打款表
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("account_payment")
public class AccountPayment extends BasePo {

    /**
     * 账户表ID
     */
    private Long accountManagementId;

    /**
     * 业务表ID
     */
    private Long businessId;

    /**
     * 归属部门ID
     */
    private Long departmentId;

    /**
     * 归属公司ID
     */
    private Long corporationId;

    /**
     * 打款时间
     */
    private Date expensesTime;

    /**
     * 用款时间
     */
    private Date paymentTime;

    /**
     * 币种（字典account_currency）
     */
    private String currency;

    /**
     * 付款金额
     */
    private BigDecimal amount;

    /**
     * 打款状态（字典（payment_status）
     */
    private String status;

    /**
     * 付款类型（10：请款  20 采购付款） 字典payment_type
     */
    private String type;

    /**
     * 摘要
     */
    private String remark;

    /**
     * 款项说明
     */
    private String paymentRemark;

}
