package com.fjhx.purchase.service.purchase.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.fjhx.common.constant.SourceConstant;
import com.fjhx.purchase.entity.purchase.po.PurchaseDetail;
import com.fjhx.purchase.mapper.purchase.PurchaseDetailMapper;
import com.fjhx.purchase.service.purchase.PurchaseDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.StringUtils;
import io.seata.spring.annotation.GlobalTransactional;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.purchase.vo.PurchaseDetailVo;
import com.fjhx.purchase.entity.purchase.dto.PurchaseDetailSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.purchase.entity.purchase.dto.PurchaseDetailDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 采购单明细 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@DS(SourceConstant.PURCHASE)
@Service
public class PurchaseDetailServiceImpl extends ServiceImpl<PurchaseDetailMapper, PurchaseDetail> implements PurchaseDetailService {

    @Override
    public Page<PurchaseDetailVo> getPage(PurchaseDetailSelectDto dto) {
        IWrapper<PurchaseDetail> wrapper = getWrapper();
        wrapper.orderByDesc("pd", PurchaseDetail::getId);
        Page<PurchaseDetailVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public PurchaseDetailVo detail(Long id) {
        PurchaseDetail PurchaseDetail = this.getById(id);
        PurchaseDetailVo result = BeanUtil.toBean(PurchaseDetail, PurchaseDetailVo.class);
        return result;
    }

    @Override
    public void add(PurchaseDetailDto purchaseDetailDto) {
        this.save(purchaseDetailDto);
    }

    /**
     * 编辑
     * @param purchaseDetailDto
     */
    @Override
    public void edit(PurchaseDetailDto purchaseDetailDto) {
        this.updateById(purchaseDetailDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
