package com.fjhx.purchase.service.refund.impl;

import com.fjhx.purchase.entity.refund.po.Refund;
import com.fjhx.purchase.mapper.refund.RefundMapper;
import com.fjhx.purchase.service.refund.RefundService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.refund.vo.RefundVo;
import com.fjhx.purchase.entity.refund.dto.RefundSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.purchase.entity.refund.dto.RefundDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 退款管理 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@Service
public class RefundServiceImpl extends ServiceImpl<RefundMapper, Refund> implements RefundService {

    @Override
    public Page<RefundVo> getPage(RefundSelectDto dto) {
        IWrapper<Refund> wrapper = getWrapper();
        wrapper.orderByDesc("r", Refund::getId);
        Page<RefundVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public RefundVo detail(Long id) {
        Refund Refund = this.getById(id);
        RefundVo result = BeanUtil.toBean(Refund, RefundVo.class);
        return result;
    }

    @Override
    public void add(RefundDto refundDto) {
        this.save(refundDto);
    }

    @Override
    public void edit(RefundDto refundDto) {
        this.updateById(refundDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
