package com.fjhx.wms.controller.stock;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.common.constant.SourceConstant;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockCheckVo;
import com.fjhx.wms.entity.stock.dto.StockCheckSelectDto;
import com.fjhx.wms.entity.stock.dto.StockCheckDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.wms.service.stock.StockCheckService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 库存盘点 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
@DS(SourceConstant.WMS)
@RestController
@RequestMapping("/stockCheck")
public class StockCheckController {

    @Autowired
    private StockCheckService stockCheckService;

    /**
     * 库存盘点分页
     */
    @PostMapping("/page")
    public Page<StockCheckVo> page(@RequestBody StockCheckSelectDto dto) {
        return stockCheckService.getPage(dto);
    }

    /**
     * 库存盘点明细
     */
    @PostMapping("/detail")
    public StockCheckVo detail(@RequestBody BaseSelectDto dto) {
        return stockCheckService.detail(dto.getId());
    }

    /**
     * 库存盘点新增
     */
    @PostMapping("/add")
    public void add(@RequestBody StockCheckDto stockCheckDto) {
        stockCheckService.add(stockCheckDto);
    }

    /**
     * 库存盘点编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody StockCheckDto stockCheckDto) {
        stockCheckService.edit(stockCheckDto);
    }

    /**
     * 库存盘点删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        stockCheckService.delete(dto.getId());
    }

}
