package com.fjhx.wms.controller.stock;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.common.constant.SourceConstant;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockWaitVo;
import com.fjhx.wms.entity.stock.dto.StockWaitSelectDto;
import com.fjhx.wms.entity.stock.dto.StockWaitDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.wms.service.stock.StockWaitService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 待出入库 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
@DS(SourceConstant.WMS)
@RestController
@RequestMapping("/stockWait")
public class StockWaitController {

    @Autowired
    private StockWaitService stockWaitService;

    /**
     * 待出入库分页
     */
    @PostMapping("/page")
    public Page<StockWaitVo> page(@RequestBody StockWaitSelectDto dto) {
        return stockWaitService.getPage(dto);
    }

    /**
     * 待出入库明细
     */
    @PostMapping("/detail")
    public StockWaitVo detail(@RequestBody BaseSelectDto dto) {
        return stockWaitService.detail(dto.getId());
    }

    /**
     * 待出入库新增
     */
    @PostMapping("/add")
    public void add(@RequestBody StockWaitDto stockWaitDto) {
        stockWaitService.add(stockWaitDto);
    }

    /**
     * 待出入库编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody StockWaitDto stockWaitDto) {
        stockWaitService.edit(stockWaitDto);
    }

    /**
     * 待出入库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        stockWaitService.delete(dto.getId());
    }

}
